# $Id: conman.spec 869 2008-09-03 23:14:45Z dun $

Name:		conman
Version:	0.2.3
Release:	1%{?dist}

Summary:	ConMan: The Console Manager
Group:		Applications/System
License:	GPL
URL:		http://home.gna.org/conman/

Requires:	expect
BuildRequires:	tcp_wrappers
BuildRoot:	%{_tmppath}/%{name}-%{version}

Source0:	conman-0.2.3.tar.gz

%description
ConMan is a serial console management program designed to support a large
number of console devices and simultaneous users.  It supports local serial
devices, remote terminal servers (via the telnet protocol), Unix domain
sockets, and external processes (e.g., using Expect to control connections
over telnet, ssh, or ipmi-sol).  Its features include:

  - logging (and optionally timestamping) console device output to file
  - connecting to consoles in monitor (R/O) or interactive (R/W) mode
  - allowing clients to share or steal console write privileges
  - broadcasting client output to multiple consoles

%prep
%setup -n conman-0.2.3

%build
%configure
make

%install
rm -rf "$RPM_BUILD_ROOT"
mkdir -p "$RPM_BUILD_ROOT"
DESTDIR="$RPM_BUILD_ROOT" make install

%clean
rm -rf "$RPM_BUILD_ROOT"

%post
if [ -x /sbin/chkconfig ]; then /sbin/chkconfig --add conman; fi

%preun
if [ "$1" = 0 ]; then
  %{_sysconfdir}/init.d/conman stop >/dev/null 2>&1 || :
  if [ -x /sbin/chkconfig ]; then /sbin/chkconfig --del conman; fi
fi

%postun
if [ "$1" -ge 1 ]; then
  %{_sysconfdir}/init.d/conman condrestart >/dev/null 2>&1 || :
fi

%files
%defattr(-,root,root,0755)
%doc AUTHORS
%doc ChangeLog
%doc COPYING
%doc DISCLAIMER*
%doc FAQ
%doc NEWS
%doc README
%doc THANKS
%config(noreplace) %{_sysconfdir}/conman.conf
%config(noreplace) %{_sysconfdir}/*/*
%{_bindir}/*
%{_sbindir}/*
%{_prefix}/lib/*
%{_mandir}/*/*
